IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
2002:a600::/24- First address
2002:a600::- Last address
2002:a6ff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
2002:a600:0000:0000:0000:0000:0000:0000- Type
- 6to4 2002::/16
IPv6 tunnelled over IPv4 (largely retired) - Reverse DNS zone
6.a.2.0.0.2.ip6.arpa
Split into smaller subnets
2002:a600::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2002:a600::/32 | 2002:a600:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 2002:a601::/32 | 2002:a601:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 2002:a602::/32 | 2002:a602:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 2002:a603::/32 | 2002:a603:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 2002:a604::/32 | 2002:a604:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 2002:a605::/32 | 2002:a605:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 2002:a606::/32 | 2002:a606:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 2002:a607::/32 | 2002:a607:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 2002:a608::/32 | 2002:a608:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 2002:a609::/32 | 2002:a609:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 2002:a60a::/32 | 2002:a60a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 2002:a60b::/32 | 2002:a60b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 2002:a60c::/32 | 2002:a60c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 2002:a60d::/32 | 2002:a60d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 2002:a60e::/32 | 2002:a60e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 2002:a60f::/32 | 2002:a60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2002:a610::/32 | 2002:a610:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 2002:a611::/32 | 2002:a611:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 2002:a612::/32 | 2002:a612:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 2002:a613::/32 | 2002:a613:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 2002:a614::/32 | 2002:a614:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 2002:a615::/32 | 2002:a615:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 2002:a616::/32 | 2002:a616:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 2002:a617::/32 | 2002:a617:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 2002:a618::/32 | 2002:a618:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 2002:a619::/32 | 2002:a619:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 2002:a61a::/32 | 2002:a61a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 2002:a61b::/32 | 2002:a61b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 2002:a61c::/32 | 2002:a61c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 2002:a61d::/32 | 2002:a61d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 2002:a61e::/32 | 2002:a61e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 2002:a61f::/32 | 2002:a61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2002:a620::/32 | 2002:a620:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 2002:a621::/32 | 2002:a621:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 2002:a622::/32 | 2002:a622:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 2002:a623::/32 | 2002:a623:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 2002:a624::/32 | 2002:a624:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 2002:a625::/32 | 2002:a625:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 2002:a626::/32 | 2002:a626:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 2002:a627::/32 | 2002:a627:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 2002:a628::/32 | 2002:a628:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 2002:a629::/32 | 2002:a629:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 2002:a62a::/32 | 2002:a62a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 2002:a62b::/32 | 2002:a62b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 2002:a62c::/32 | 2002:a62c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 2002:a62d::/32 | 2002:a62d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 2002:a62e::/32 | 2002:a62e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 2002:a62f::/32 | 2002:a62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2002:a630::/32 | 2002:a630:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 2002:a631::/32 | 2002:a631:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 2002:a632::/32 | 2002:a632:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 2002:a633::/32 | 2002:a633:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 2002:a634::/32 | 2002:a634:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 2002:a635::/32 | 2002:a635:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 2002:a636::/32 | 2002:a636:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 2002:a637::/32 | 2002:a637:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 2002:a638::/32 | 2002:a638:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 2002:a639::/32 | 2002:a639:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 2002:a63a::/32 | 2002:a63a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 2002:a63b::/32 | 2002:a63b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 2002:a63c::/32 | 2002:a63c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 2002:a63d::/32 | 2002:a63d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 2002:a63e::/32 | 2002:a63e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 2002:a63f::/32 | 2002:a63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2002:a640::/32 | 2002:a640:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 2002:a641::/32 | 2002:a641:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 2002:a642::/32 | 2002:a642:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 2002:a643::/32 | 2002:a643:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 2002:a644::/32 | 2002:a644:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 2002:a645::/32 | 2002:a645:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 2002:a646::/32 | 2002:a646:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 2002:a647::/32 | 2002:a647:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 2002:a648::/32 | 2002:a648:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 2002:a649::/32 | 2002:a649:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 2002:a64a::/32 | 2002:a64a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 2002:a64b::/32 | 2002:a64b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 2002:a64c::/32 | 2002:a64c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 2002:a64d::/32 | 2002:a64d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 2002:a64e::/32 | 2002:a64e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 2002:a64f::/32 | 2002:a64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2002:a650::/32 | 2002:a650:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 2002:a651::/32 | 2002:a651:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 2002:a652::/32 | 2002:a652:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 2002:a653::/32 | 2002:a653:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 2002:a654::/32 | 2002:a654:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 2002:a655::/32 | 2002:a655:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 2002:a656::/32 | 2002:a656:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 2002:a657::/32 | 2002:a657:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 2002:a658::/32 | 2002:a658:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 2002:a659::/32 | 2002:a659:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 2002:a65a::/32 | 2002:a65a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 2002:a65b::/32 | 2002:a65b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 2002:a65c::/32 | 2002:a65c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 2002:a65d::/32 | 2002:a65d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 2002:a65e::/32 | 2002:a65e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 2002:a65f::/32 | 2002:a65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2002:a660::/32 | 2002:a660:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 2002:a661::/32 | 2002:a661:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 2002:a662::/32 | 2002:a662:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 2002:a663::/32 | 2002:a663:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 2002:a664::/32 | 2002:a664:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 2002:a665::/32 | 2002:a665:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 2002:a666::/32 | 2002:a666:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 2002:a667::/32 | 2002:a667:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 2002:a668::/32 | 2002:a668:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 2002:a669::/32 | 2002:a669:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 2002:a66a::/32 | 2002:a66a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 2002:a66b::/32 | 2002:a66b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 2002:a66c::/32 | 2002:a66c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 2002:a66d::/32 | 2002:a66d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 2002:a66e::/32 | 2002:a66e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 2002:a66f::/32 | 2002:a66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2002:a670::/32 | 2002:a670:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 2002:a671::/32 | 2002:a671:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 2002:a672::/32 | 2002:a672:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 2002:a673::/32 | 2002:a673:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 2002:a674::/32 | 2002:a674:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 2002:a675::/32 | 2002:a675:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 2002:a676::/32 | 2002:a676:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 2002:a677::/32 | 2002:a677:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 2002:a678::/32 | 2002:a678:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 2002:a679::/32 | 2002:a679:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 2002:a67a::/32 | 2002:a67a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 2002:a67b::/32 | 2002:a67b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 2002:a67c::/32 | 2002:a67c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 2002:a67d::/32 | 2002:a67d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 2002:a67e::/32 | 2002:a67e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 2002:a67f::/32 | 2002:a67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2002:a680::/32 | 2002:a680:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 2002:a681::/32 | 2002:a681:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 2002:a682::/32 | 2002:a682:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 2002:a683::/32 | 2002:a683:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 2002:a684::/32 | 2002:a684:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 2002:a685::/32 | 2002:a685:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 2002:a686::/32 | 2002:a686:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 2002:a687::/32 | 2002:a687:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 2002:a688::/32 | 2002:a688:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 2002:a689::/32 | 2002:a689:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 2002:a68a::/32 | 2002:a68a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 2002:a68b::/32 | 2002:a68b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 2002:a68c::/32 | 2002:a68c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 2002:a68d::/32 | 2002:a68d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 2002:a68e::/32 | 2002:a68e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 2002:a68f::/32 | 2002:a68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2002:a690::/32 | 2002:a690:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 2002:a691::/32 | 2002:a691:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 2002:a692::/32 | 2002:a692:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 2002:a693::/32 | 2002:a693:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 2002:a694::/32 | 2002:a694:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 2002:a695::/32 | 2002:a695:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 2002:a696::/32 | 2002:a696:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 2002:a697::/32 | 2002:a697:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 2002:a698::/32 | 2002:a698:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 2002:a699::/32 | 2002:a699:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 2002:a69a::/32 | 2002:a69a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 2002:a69b::/32 | 2002:a69b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 2002:a69c::/32 | 2002:a69c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 2002:a69d::/32 | 2002:a69d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 2002:a69e::/32 | 2002:a69e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 2002:a69f::/32 | 2002:a69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2002:a6a0::/32 | 2002:a6a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 2002:a6a1::/32 | 2002:a6a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 2002:a6a2::/32 | 2002:a6a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 2002:a6a3::/32 | 2002:a6a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 2002:a6a4::/32 | 2002:a6a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 2002:a6a5::/32 | 2002:a6a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 2002:a6a6::/32 | 2002:a6a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 2002:a6a7::/32 | 2002:a6a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 2002:a6a8::/32 | 2002:a6a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 2002:a6a9::/32 | 2002:a6a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 2002:a6aa::/32 | 2002:a6aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 2002:a6ab::/32 | 2002:a6ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 2002:a6ac::/32 | 2002:a6ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 2002:a6ad::/32 | 2002:a6ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 2002:a6ae::/32 | 2002:a6ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 2002:a6af::/32 | 2002:a6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2002:a6b0::/32 | 2002:a6b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 2002:a6b1::/32 | 2002:a6b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 2002:a6b2::/32 | 2002:a6b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 2002:a6b3::/32 | 2002:a6b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 2002:a6b4::/32 | 2002:a6b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 2002:a6b5::/32 | 2002:a6b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 2002:a6b6::/32 | 2002:a6b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 2002:a6b7::/32 | 2002:a6b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 2002:a6b8::/32 | 2002:a6b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 2002:a6b9::/32 | 2002:a6b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 2002:a6ba::/32 | 2002:a6ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 2002:a6bb::/32 | 2002:a6bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 2002:a6bc::/32 | 2002:a6bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 2002:a6bd::/32 | 2002:a6bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 2002:a6be::/32 | 2002:a6be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 2002:a6bf::/32 | 2002:a6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2002:a6c0::/32 | 2002:a6c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 2002:a6c1::/32 | 2002:a6c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 2002:a6c2::/32 | 2002:a6c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 2002:a6c3::/32 | 2002:a6c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 2002:a6c4::/32 | 2002:a6c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 2002:a6c5::/32 | 2002:a6c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 2002:a6c6::/32 | 2002:a6c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 2002:a6c7::/32 | 2002:a6c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 2002:a6c8::/32 | 2002:a6c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 2002:a6c9::/32 | 2002:a6c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 2002:a6ca::/32 | 2002:a6ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 2002:a6cb::/32 | 2002:a6cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 2002:a6cc::/32 | 2002:a6cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 2002:a6cd::/32 | 2002:a6cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 2002:a6ce::/32 | 2002:a6ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 2002:a6cf::/32 | 2002:a6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2002:a6d0::/32 | 2002:a6d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 2002:a6d1::/32 | 2002:a6d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 2002:a6d2::/32 | 2002:a6d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 2002:a6d3::/32 | 2002:a6d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 2002:a6d4::/32 | 2002:a6d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 2002:a6d5::/32 | 2002:a6d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 2002:a6d6::/32 | 2002:a6d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 2002:a6d7::/32 | 2002:a6d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 2002:a6d8::/32 | 2002:a6d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 2002:a6d9::/32 | 2002:a6d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 2002:a6da::/32 | 2002:a6da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 2002:a6db::/32 | 2002:a6db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 2002:a6dc::/32 | 2002:a6dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 2002:a6dd::/32 | 2002:a6dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 2002:a6de::/32 | 2002:a6de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 2002:a6df::/32 | 2002:a6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2002:a6e0::/32 | 2002:a6e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 2002:a6e1::/32 | 2002:a6e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 2002:a6e2::/32 | 2002:a6e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 2002:a6e3::/32 | 2002:a6e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 2002:a6e4::/32 | 2002:a6e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 2002:a6e5::/32 | 2002:a6e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 2002:a6e6::/32 | 2002:a6e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 2002:a6e7::/32 | 2002:a6e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 2002:a6e8::/32 | 2002:a6e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 2002:a6e9::/32 | 2002:a6e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 2002:a6ea::/32 | 2002:a6ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 2002:a6eb::/32 | 2002:a6eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 2002:a6ec::/32 | 2002:a6ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 2002:a6ed::/32 | 2002:a6ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 2002:a6ee::/32 | 2002:a6ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 2002:a6ef::/32 | 2002:a6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2002:a6f0::/32 | 2002:a6f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 2002:a6f1::/32 | 2002:a6f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 2002:a6f2::/32 | 2002:a6f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 2002:a6f3::/32 | 2002:a6f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 2002:a6f4::/32 | 2002:a6f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 2002:a6f5::/32 | 2002:a6f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 2002:a6f6::/32 | 2002:a6f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 2002:a6f7::/32 | 2002:a6f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 2002:a6f8::/32 | 2002:a6f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 2002:a6f9::/32 | 2002:a6f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 2002:a6fa::/32 | 2002:a6fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 2002:a6fb::/32 | 2002:a6fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 2002:a6fc::/32 | 2002:a6fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 2002:a6fd::/32 | 2002:a6fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 2002:a6fe::/32 | 2002:a6fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 2002:a6ff::/32 | 2002:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |